HA ne démarre plus

Mon problème Bizarre j’ai accès par son adresse local !!!

Renseigner votre problème HA ne démarre plus il indique retry

Ma configuration je ne savais pas qu’il en avait plusieurs sorry


Texte à remplacer par votre configuration

Comment récupérer ma configuration :
Dans votre HA, Menu latéral Configuration > Info > bouton copier > Pour Github
image


J’ai voulu faire la mise a jour de HA il ma demander pour faire une image de secours j’ai dit ok. 10min plus tard message d’erreur qui je pense disait que l’image a échouée. J’ai fait redémarré puis « retry » pas de démarrage. J’ai accès aux fichiers via samba. J’ai donc récupéré les logs

2021-03-07 17:41:41 WARNING (MainThread) [homeassistant.loader] You are using a custom integration auto_backup which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-03-07 17:41:41 WARNING (MainThread) [homeassistant.loader] You are using a custom integration hacs which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-03-07 17:41:41 WARNING (MainThread) [homeassistant.loader] You are using a custom integration anniversaries which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-03-07 17:41:41 WARNING (MainThread) [homeassistant.loader] You are using a custom integration ble_monitor which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-03-07 17:41:41 WARNING (MainThread) [homeassistant.loader] You are using a custom integration fontawesome which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-03-07 17:41:41 WARNING (MainThread) [homeassistant.loader] No 'version' key in the manifest file for custom integration 'fontawesome'. This will not be allowed in a future version of Home Assistant. Please report this to the maintainer of 'fontawesome'
2021-03-07 17:41:41 WARNING (MainThread) [homeassistant.loader] You are using a custom integration sonoff which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-03-07 17:41:41 WARNING (MainThread) [homeassistant.loader] No 'version' key in the manifest file for custom integration 'sonoff'. This will not be allowed in a future version of Home Assistant. Please report this to the maintainer of 'sonoff'
2021-03-07 17:41:41 WARNING (MainThread) [homeassistant.loader] You are using a custom integration livebox which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-03-07 17:41:41 WARNING (MainThread) [homeassistant.loader] No 'version' key in the manifest file for custom integration 'livebox'. This will not be allowed in a future version of Home Assistant. Please report this to the maintainer of 'livebox'
2021-03-07 17:41:42 WARNING (MainThread) [homeassistant.loader] You are using a custom integration scheduler which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-03-07 17:41:42 WARNING (MainThread) [homeassistant.loader] No 'version' key in the manifest file for custom integration 'scheduler'. This will not be allowed in a future version of Home Assistant. Please report this to the maintainer of 'scheduler'
2021-03-07 17:41:44 WARNING (Recorder) [homeassistant.components.recorder.util] The system could not validate that the sqlite3 database at //config/home-assistant_v2.db was shutdown cleanly.
2021-03-07 17:41:54 WARNING (MainThread) [homeassistant.setup] Setup of recorder is taking over 10 seconds.
2021-03-07 17:42:43 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: recorder
2021-03-07 17:43:43 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: recorder
2021-03-07 17:44:43 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: recorder
2021-03-07 17:44:58 WARNING (Recorder) [homeassistant.components.recorder] Ended unfinished session (id=23 from 2021-03-07 15:25:41.342021)
2021-03-07 17:45:05 ERROR (MainThread) [homeassistant.config] Invalid config for [sensor]: required key not provided @ data['platform']. Got None. (See /config/sensors.yaml, line 2). Please check the docs at https://www.home-assistant.io/integrations/sensor
2021-03-07 17:45:12 ERROR (MainThread) [homeassistant.setup] Setup failed for new_device_defaults: Integration not found.
2021-03-07 17:45:13 ERROR (MainThread) [homeassistant.setup] Setup failed for track_new_devices: Integration not found.
2021-03-07 17:45:13 ERROR (Thread-3) [custom_components.ble_monitor] HCIdump thread: OS error (hci2): [Errno 19] error while attempting to bind on interface 2: No such device
2021-03-07 17:45:13 ERROR (MainThread) [homeassistant.setup] Setup failed for consider_home: Integration not found.
2021-03-07 17:45:13 ERROR (MainThread) [homeassistant.setup] Setup failed for interval_seconds: Integration not found.
2021-03-07 17:45:13 ERROR (MainThread) [homeassistant.setup] Setup failed for platform: Integration not found.
2021-03-07 17:45:17 WARNING (MainThread) [homeassistant.setup] Setup of input_boolean is taking over 10 seconds.
2021-03-07 17:45:52 WARNING (MainThread) [homeassistant.components.sensor] Setup of sensor platform upnp is taking over 10 seconds.
2021-03-07 17:45:55 ERROR (MainThread) [homeassistant.config_entries] Error occurred loading configuration flow for integration vlc_telnet: No module named 'homeassistant.components.vlc_telnet.config_flow'
2021-03-07 17:45:55 ERROR (MainThread) [homeassistant] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 561, in async_create_flow
    integration.get_platform("config_flow")
  File "/usr/src/homeassistant/homeassistant/loader.py", line 499, in get_platform
    cache[full_name] = self._import_platform(platform_name)
  File "/usr/src/homeassistant/homeassistant/loader.py", line 504, in _import_platform
    return importlib.import_module(f"{self.pkg_path}.{platform_name}")
  File "/usr/local/lib/python3.8/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 973, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'homeassistant.components.vlc_telnet.config_flow'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/hassio/discovery.py", line 89, in async_process_new
    await self.hass.config_entries.flow.async_init(
  File "/usr/src/homeassistant/homeassistant/data_entry_flow.py", line 122, in async_init
    flow = await self.async_create_flow(handler, context=context, data=data)
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 568, in async_create_flow
    raise data_entry_flow.UnknownHandler
homeassistant.data_entry_flow.UnknownHandler
2021-03-07 17:45:56 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/aiohttp/web_protocol.py", line 314, in data_received
    messages, upgraded, tail = self._request_parser.feed_data(data)
  File "aiohttp/_http_parser.pyx", line 546, in aiohttp._http_parser.HttpParser.feed_data
aiohttp.http_exceptions.BadStatusLine: 400, message="Bad status line 'invalid HTTP method'"
2021-03-07 17:45:56 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/aiohttp/web_protocol.py", line 314, in data_received
    messages, upgraded, tail = self._request_parser.feed_data(data)
  File "aiohttp/_http_parser.pyx", line 546, in aiohttp._http_parser.HttpParser.feed_data
aiohttp.http_exceptions.BadStatusLine: 400, message="Bad status line 'invalid HTTP method'"
2021-03-07 17:45:56 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/aiohttp/web_protocol.py", line 314, in data_received
    messages, upgraded, tail = self._request_parser.feed_data(data)
  File "aiohttp/_http_parser.pyx", line 546, in aiohttp._http_parser.HttpParser.feed_data
aiohttp.http_exceptions.BadStatusLine: 400, message="Bad status line 'invalid HTTP method'"
2021-03-07 17:45:56 WARNING (MainThread) [homeassistant.loader] You are using a custom integration remote_homeassistant which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-03-07 17:45:56 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/aiohttp/web_protocol.py", line 314, in data_received
    messages, upgraded, tail = self._request_parser.feed_data(data)
  File "aiohttp/_http_parser.pyx", line 546, in aiohttp._http_parser.HttpParser.feed_data
aiohttp.http_exceptions.BadStatusLine: 400, message="Bad status line 'invalid HTTP method'"
2021-03-07 17:45:56 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/aiohttp/web_protocol.py", line 314, in data_received
    messages, upgraded, tail = self._request_parser.feed_data(data)
  File "aiohttp/_http_parser.pyx", line 546, in aiohttp._http_parser.HttpParser.feed_data
aiohttp.http_exceptions.BadStatusLine: 400, message="Bad status line 'invalid HTTP method'"
2021-03-07 17:45:56 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/aiohttp/web_protocol.py", line 314, in data_received
    messages, upgraded, tail = self._request_parser.feed_data(data)
  File "aiohttp/_http_parser.pyx", line 546, in aiohttp._http_parser.HttpParser.feed_data
aiohttp.http_exceptions.BadStatusLine: 400, message="Bad status line 'invalid HTTP method'"

Merci par avance pour votre aide je suis complètement perdu. Je n’ai pas eu de mal à me faire à l’interface mais le coup des démarrages foireux je ne suis pas habitué. Sur jeedom j’ai dû planté une fois en 1 an. Il faut bien dire que HA est franchement bien dommage se petit couac 2 fois en 2 semaines

As-tu un snapshot accessible ? récent si possible.
Ton HA est installé sur quoi comme machine ?

bonsoir, merci de t’occuper de moi, je suis sur un PI 4 le tout installé sur disque dur. Je suis a fouetté mon image date de 3 jours et j’ai pas mal bossé pour mon fils autiste. Grasse a la domotique y’a plein de chose qui le rende autonome. Première chose la TV :slight_smile: (attention, je ne dis pas cela pour attirer pitié ou passe-droit. Juste pour dire a quoi nous sert la domotique, c’est pour ça que je me prends la tête sinon le bouton allume eteins me va bien)

j’ai accès en local, ma config est ok je ne sais pas quoi faire a part réinstallé, j’ai la maman sur le dos qui n’arrête pas de dire remet nous Jeedom grrr les femmes

tu as accès en local … c’est déjà ca !
C’est quoi qui ne fonctionne pas ?

Quand je démarre sur son adresse internet nom de domaine j’ai voulu faire la mise a jour il y’a eu une erreur, j’ai redémarrer sans succès tout est OK sur son adresse local. J’ai redémarrer le canard en local (duck dns) mais toujours rien

J’ai l’impression que le probleme est là

# Configure a default setup of Home Assistant (frontend, api, etc)#

default_config:
  http:
  base_url: XXXXX.duckdns.org:8123
  ssl_certificate: /ssl/fullchain.pem
  ssl_key: /ssl/privkey.pem

Il demarre sur son nom de domaine sans le https mais en http

Tu dois avoir un problème de cache sur ton navigateur !!!
J’arrive bien chez toi
image

OK, merci beaucoup je regarde ça de suite, ma famille te remercie et le petit Clément te fait un gros bisous. Merci pour tout bonne soirée tu ne peux pas savoir a quel point je suis reconnaissant

Pas de problème. Dis merci à Clément.
Bonne soirée à vous .

Toujours pas et en regardant ton image je vois que tu as accès en http pas en https snif

Je suppose que tu as une installation récente avec un version récente de HA.
base_url est deprecated
La syntaxe correcte (sauf erreur de ma part) est :

http:
  server_host: @ton_adresse_ip
  server_port: 8123
  ssl_certificate: /ssl/fullchain.pem
  ssl_key: /ssl/privkey.pem

homeassistant:
  internal_url: http://@ton_adresse_ip:8123
  external_url: https://XXXXXXX.duckdns.org:8123

Là, tu es à moitié en HTTP et l’autre en HTTPS… donc, ça coince.

Bonsoir,merci pour ton aide bien apprécié . Effectivement mon installation a deux semaines. Sauf erreur de ma part cela fonctionnait comme cela avant ma tentative de mise jour. J’ai suivi le tuto de cette page

je ne comprend pas quelle adresse ip indiquée a part l’adresse local. Comme je n’est pas d’ip fixe c’est le canard qui s’occupe de ça (duckdns) je suis perdue

Si tu va sur l’article qui décrit la mise en place de let’s encrypt plus en détail Accéder a Home Assistant depuis l’extérieur en HTTPS avec un NDD Freebox et Let's Encrypt il est indiqué ce que j’ai écrit…

Ton adresse IP, je suppose un truc en 192.168.x.y c’est ce que tu vas avoir dans server_host et internal_url

Et d’ailleurs c’est:

homeassistant:
  internal_url: https://@ton_adresse_ip:8123
  external_url: https://XXXXXX.duckdns.org:8123

HTTPS aux deux. Sorry.

Si tu es sur le même LAN que HA, tu peux y aller avec l’adresse IP dans l’url du navigateur…
Sans rien toucher (et tu ton PC est sur le même LAN que HA) qu’est ce qui marche:

http://@IP:8123 ou httpS://@IP:8123 ?

Tous fonctionne dans tout les sens sauf en HttpS. Je n’ai pas de freebox juste une livebox
quand j’utilise les info que tu m’a donné j’ai cette erreur

Invalid config for [http]: [internal_url] is an invalid option for [http]. Check: http->http->internal_url. (See /config/configuration.yaml, line 5).

Si ça te va comme ça, ne touche plus :slight_smile:
Mais, sauf si c’est indispensable (et que pour l’instant tu n’arrive pas à faire mieux), je fermerai l’accès externe sur la box. Un accès externe en HTTP, c’est pas génial. Ton mot de passe circule en clair sur Internet…

on utilise trop souvent en externe pour laisser en clair mince. Je viens d’essayer avec ton fichier de configuration. Malheureusement cela n’a rien résolu en attendant pas de problème avec ta façon de faire qui est passé sans problème. j’avais peur de pas redémarrer

10 minutes pour editer vos posts @Lefouineur @golfvert @fredarro:expressionless:

Pas d’information privée dans vos messages SVP :+1: (je parle du nom de domaine dans ce cas précis)

1 « J'aime »

Je ne sais pas si c’est un copier/coller échoué, mais quand j’ai repris ton post pour ajouter les balises de codes, on voit apparaitre un espace devant la clé http et ça le YAML n’aime pas du tout…

As tu un espace devant la clé http ?

Ca devrait être comme ceci :

Il est important de mettre son code dans des balises :+1:

2 « J'aime »

Merci j’avoue que ce n’est pas très malin de mettre mon adresse partout, un énorme merci d’avoir été vigilant. Je ne sais pas si tu as vue juste, mais effectivement j’avais pas mal d’espaces dans mon config. J’ai corrigé et au mon Dieu je suis reco en https.

Un énorme merci a tous les intervenants vous êtes des gens formidables. Le petit Clément vous fait a tous de gros bisous demain il va retrouver son autonomie sur des choses basic comme la tv. J’ai sur un bouton poussoir configuré le passage de ses chaines une a une pour éviter les prises de tête avec la télécommande et des automatismes pour ses lumières … Bonne soirée

1 « J'aime »